Package Details: multibootusb 9.2.0-4

Git Clone URL: https://aur.archlinux.org/multibootusb.git (read-only, click to copy)
Package Base: multibootusb
Description: Boot multiple live Linux distros from a usb flash drive.
Upstream URL: http://multibootusb.org
Keywords: multiboot multibootusb usb
Licenses: GPL
Submitter: Angel_Caido
Maintainer: DragonX256
Last Packager: DragonX256
Votes: 108
Popularity: 0.95
First Submitted: 2015-08-20 19:45
Last Updated: 2020-01-04 07:38

Pinned Comments

DragonX256 commented on 2020-01-04 07:36

Dropped pyqt5-common. About SyntaxWarning - it was fixed in this commit: https://github.com/mbusb/multibootusb/commit/0b71b418293f46c05be78e1afe5efaa31de409f9, but stable version with this fix wasn't released. Use GUI and multibootusb-pkexec instead, or install multibootusb-git to retrieve the latest available version with fix.

Latest Comments

« First ‹ Previous ... 4 5 6 7 8 9 10 Next › Last »

Angel_Caido commented on 2016-11-28 04:50

PKGBUILD Updated and bumped to 8.2.0.
Still having problems when launching multibootusb from the menu and from the terminal [calling the executable /usr/sbin/multibootusb-pkexec].

Workaround:
Run multibootusb from the terminal with either "sudo multibootusb" or "gksudo multibootusb"

sundar_ima commented on 2016-11-27 13:25

Version 8.2.0 is released

Angel_Caido commented on 2016-11-24 05:01

OK. I updated the PKGBUILD for MultiBootUSB. I added some dependencies. I also changed permissions to the file multibootusb.desktop [as requested by satriani].
On my end it built and installed correctly. I just have a few observations to make:
1. Remove any old version before installing this one.
2. For some reason I can't yet understand, the executable ["multibootusb-pkexec"] gives me the following error [when ran from the terminal]:
Starting multibootusb GUI...
QXcbConnection: Could not connect to display
/usr/sbin/multibootusb-pkexec: line 6: 3189 Aborted (core dumped) pkexec --disable-internal-agent "/usr/bin/multibootusb" "$@"

I think it has something to do with QT5 and pkexec. [I'm] Not sure.

3. If you want to run it properly use one of the following commands instead:
sudo multibootusb
gksudo multibootusb

Let me know if you can find a solution to this or if something else comes up.

Angel_Caido commented on 2016-11-24 03:42

Really odd. Last time I built and checked this package [and after a few minor corrections to the PKGBUILD] it went through flawlessly. Now I encounter more errors. I honestly don't know where they all come from. I'm trying to solve the ones that I have encountered.
According to https://github.com/mbusb/multibootusb, this version now depends on: mtools, util-linux, parted, python3-qt5 [which is provided by python-pyqt5], python-dbus, and pkexec [which is provided by polkit].

AdrianoML commented on 2016-11-23 15:12

This package is full of problems, missing dependencies for python3/python3-pyqt5 and plenty of files with missing read permission.

satriani commented on 2016-11-21 08:26

-rw------- 1 root root 191 20. Nov 09:41 multibootusb.desktop

wrong permission.
Please add to PKGBUILD "chmod 755 /usr/share/applications/multibootusb.desktop"

sundar_ima commented on 2016-11-21 07:20

Your PKGBUILD is not correct. The latest version is based on pyqt5 and p7zip is also missing.

Angel_Caido commented on 2016-11-21 03:07

PKGBUILD updated. Thanks for your patience.

sundar_ima commented on 2016-11-20 12:01

The latest version is released http://multibootusb.org/2016-11-20-Multibootusb-version-8.1.0-is-released/

It would be nice if you report the issues you encountered. This will be helpful in solving the issue faster.

Angel_Caido commented on 2016-11-19 16:15

I shall update the PKGBUILD as soon as I make sure that Multibootusb is working properly. I have read that it has some errors.